#! /usr/bin/python

# Copyright (C) 2013 Canonical Ltd.
# Author: Colin Watson <cjwatson@ubuntu.com>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Build a set of images for a project/series/image-type."""

from optparse import OptionParser
import os
import sys

sys.path.insert(0, os.path.join(sys.path[0], os.pardir, "lib"))


def main():
    from cdimage.build import build_image_set
    from cdimage.config import Config

    parser = OptionParser("%prog [--live] [IMAGE_TYPE]")
    parser.add_option(
        "--live", default=False, action="store_true",
        help="build live filesystems first")
    options, args = parser.parse_args()
    config = Config()
    if args:
        config["IMAGE_TYPE"] = args[0]
    if not build_image_set(config, options):
        sys.exit(1)


if __name__ == "__main__":
    main()
